Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Class AsymmetricCipherKeyPair

    java.lang.Object
      org.bouncycastle.crypto.AsymmetricCipherKeyPair

    public class AsymmetricCipherKeyPair

extends java.lang.Object

a holding class for public/private parameter pairs.

Constructor Summary
`AsymmetricCipherKeyPair(CipherParameters publicParam, CipherParameters privateParam)` basic constructor.

Method Summary
`CipherParameters` | `getPrivate()` return the private key parameters.
`CipherParameters` | `getPublic()` return the public key parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsymmetricCipherKeyPair

    public AsymmetricCipherKeyPair(CipherParameters publicParam,
                                   CipherParameters privateParam)

  basic constructor.

  Parameters:
    `publicParam` - a public key parameters object.
    `privateParam` - the corresponding private key parameters.

Method Detail

### getPublic

    public CipherParameters getPublic()

  return the public key parameters.

  Returns:
    the public key parameters.

### getPrivate

    public CipherParameters getPrivate()

  return the private key parameters.

  Returns:
    the private key parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD